Neonode zForce(TM) SDK

Public Attributes | List of all members
PlatformDevice Struct Reference

Struct representing a PlatformDevice. More...

`#include <PlatformDevice.h>`

Collaboration diagram for PlatformDevice:
[legend]

## Public Attributes
zForce * | zForce
| Pointer to zForce.
Connection * | Connection
| The Connection this Device is part of.
DeviceType | DeviceType
| Which type of Device this is.
uint32_t | DeviceIndex
| Which Device Index this device has.
Device ** | StorageDevices
| Future: List of Storage Devices. Will change type during implementation.
uint32_t | NumberOfStorageDevices
| Number of Storage Devices.
void * | PrivateProtocolData
| Private Protocol Data.
void(* | Destructor )(Device *self)
| Destructor. More...
bool(* | GetFingerFrequency )(PlatformDevice *self)
| Get the finger frequency. More...
bool(* | SetFingerFrequency )(PlatformDevice *self, uint32_t frequency)
| Set the finger frequency. More...
bool(* | GetIdleFrequency )(PlatformDevice *self)
| Get the idle frequency. More...
bool(* | SetIdleFrequency )(PlatformDevice *self, uint32_t frequency)
| Set the idle frequency. More...
bool(* | GetMcuUniqueIdentifier )(PlatformDevice *self)
| Get the Mcu Unique Identifier. More...
bool(* | SetMcuUniqueIdentifier )(PlatformDevice *self, uint8_t *identifier, uint32_t bufferSize)
| Set the Mcu Unique Identifier. More...

## Detailed Description

Struct representing a PlatformDevice.

The PlatformDevice struct contains system-level requests, like getting the MCU Unique Identifier, etc.

## Member Data Documentation

## ◆ Destructor

void( * PlatformDevice::Destructor) (Device *self)

Destructor.

Destructs the Device and all base structs.
Inherited from Device base class.

Parameters

  self | Pointer to the struct itself.

Returns
  No return value.

## ◆ GetFingerFrequency

bool( * PlatformDevice::GetFingerFrequency) (PlatformDevice *self)

Get the finger frequency.

Gets the finger frequency.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ GetIdleFrequency

bool( * PlatformDevice::GetIdleFrequency) (PlatformDevice *self)

Get the idle frequency.

Gets the idle frequency.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ GetMcuUniqueIdentifier

bool( * PlatformDevice::GetMcuUniqueIdentifier) (PlatformDevice *self)

Get the Mcu Unique Identifier.

Gets the Mcu Unique Identifier.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ SetFingerFrequency

bool( * PlatformDevice::SetFingerFrequency) (PlatformDevice *self, uint32_t frequency)

Set the finger frequency.

Sets the finger frequency.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.

Parameters

  self | Pointer to the struct itself.
  frequency | The frequency to set.

Returns
  True for success, false for failure. See errno.

## ◆ SetIdleFrequency

bool( * PlatformDevice::SetIdleFrequency) (PlatformDevice *self, uint32_t frequency)

Set the idle frequency.

Sets the idle frequency.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.

Parameters

  self | Pointer to the struct itself.
  frequency | The frequency to set.

Returns
  True for success, false for failure. See errno.

## ◆ SetMcuUniqueIdentifier

bool( * PlatformDevice::SetMcuUniqueIdentifier) (PlatformDevice *self, uint8_t *identifier, uint32_t bufferSize)

Set the Mcu Unique Identifier.

Sets the Mcu Unique Identifier.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.

Parameters

  self | Pointer to the struct itself.
  identifier | Pointer to the Identifier array to set.
  length | Buffer size.

Returns
  True for success, false for failure. See errno.

The documentation for this struct was generated from the following file:

- PlatformDevice.h